(function(context,$) {

    /**
     * Javascript wrappers for the REST API
     */

    "use strict";

    context.JK = context.JK || {};
    context.JK.RestAdmin = function() {

        var self = this;
        var logger = context.JK.logger;

        function tryMixAgain(options) {
            var mixId = options['mix_id']
            return $.ajax({
                type: "POST",
                dataType: "json",
                url: gon.global.prefix + '/api/mix/' + mixId + '/enqueue',
                contentType: 'application/json',
                processData: false
            });
        }

        function initialize()  {
            return self;
        }

        // Expose publics
        this.initialize = initialize;
        this.tryMixAgain = tryMixAgain;

        return this;
    };


})(window,jQuery);